CompositeTraits.hh File Reference

Mesh traits for uniform composite subdivision. More...

`#include <OpenMesh/Core/Mesh/Traits.hh>`
`#include <OpenMesh/Core/Mesh/Attributes.hh>`
Include dependency graph for CompositeTraits.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | OpenMesh::Subdivider::Uniform::CompositeTraits
| Uniform Composite Subdivision framework. More...
struct | OpenMesh::Subdivider::Uniform::CompositeTraits::FaceT< Base, Refs >
struct | OpenMesh::Subdivider::Uniform::CompositeTraits::EdgeT< Base, Refs >
struct | OpenMesh::Subdivider::Uniform::CompositeTraits::VertexT< Base, Refs >

## Namespaces

| OpenMesh
| Contains all the mesh ingredients like the polygonal mesh, the triangle mesh, different mesh kernels and mesh traits.
| OpenMesh::Subdivider::Uniform
| Software related to uniform subdivision of meshes.

## Detailed Description

Mesh traits for uniform composite subdivision.